<?php

namespace Ignite\Core\Models\Grid;

use Ignite\Core\Entities\Audit;
use Illuminate\Database\Eloquent\Builder;

class ParticipantActivityTable extends ParticipantHistoryTable
{
    /**
     * The participant activity query.
     *
     * @return Builder
     */
    public function query(): Builder
    {
        return Audit::with('user')->where('user_id', $this->user_id);
    }
}
